From a19fc2bf62a17fadd0eb3ad61e9fc3ac175a5390 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Sat, 4 May 2019 21:44:46 +0200
Subject: [PATCH 1/3] New package: python3-filelock-3.0.10

---
 srcpkgs/python3-filelock/template | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
 create mode 100644 srcpkgs/python3-filelock/template

diff --git a/srcpkgs/python3-filelock/template b/srcpkgs/python3-filelock/template
new file mode 100644
index 00000000000..5cab172c21e
--- /dev/null
+++ b/srcpkgs/python3-filelock/template
@@ -0,0 +1,14 @@
+# Template file for 'python3-filelock'
+pkgname=python3-filelock
+version=3.0.10
+revision=1
+wrksrc="filelock-${version}"
+build_style=python3-module
+pycompile_module="filelock.py"
+hostmakedepends="python3-setuptools"
+short_desc="Platform independent file lock"
+maintainer="Piotr Wójcik <chocimier@tlen.pl>"
+license="Unlicense"
+homepage="https://filelock.readthedocs.io/en/latest/"
+distfiles="${PYPI_SITE}/f/filelock/filelock-${version}.tar.gz"
+checksum=d610c1bb404daf85976d7a82eb2ada120f04671007266b708606565dd03b5be6

From e2168c7bbbb38edd4281a655c8deedccf7f3d38a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Sat, 4 May 2019 21:44:49 +0200
Subject: [PATCH 2/3] New package: tox-3.9.0

---
 srcpkgs/tox/template | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
 create mode 100644 srcpkgs/tox/template

diff --git a/srcpkgs/tox/template b/srcpkgs/tox/template
new file mode 100644
index 00000000000..6a8f1014bde
--- /dev/null
+++ b/srcpkgs/tox/template
@@ -0,0 +1,19 @@
+# Template file for 'tox'
+pkgname=tox
+version=3.9.0
+revision=1
+build_style=python3-module
+pycompile_module="tox"
+hostmakedepends="python3-setuptools"
+depends="python3-filelock python3-pytest python3-toml python3-virtualenv"
+checkdepends="${depends}"
+short_desc="Generic virtualenv management and test command line tool"
+maintainer="Piotr Wójcik <chocimier@tlen.pl>"
+license="MIT"
+homepage="https://tox.readthedocs.io/en/latest/"
+distfiles="${PYPI_SITE}/t/tox/tox-${version}.tar.gz"
+checksum=665cbdd99f5c196dd80d1d8db8c8cf5d48b1ae1f778bccd1bdf14d5aaf4ca0fc
+
+post_install() {
+	vlicense LICENSE
+}

From 3e1218039a26982444bf49990cc85c50ad39d5bf Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Sat, 4 May 2019 21:44:51 +0200
Subject: [PATCH 3/3] python3-cheetah3: update to 3.2.2.

---
 srcpkgs/python3-cheetah3/template | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/python3-cheetah3/template b/srcpkgs/python3-cheetah3/template
index 83ebb44b3e4..348e95a1488 100644
--- a/srcpkgs/python3-cheetah3/template
+++ b/srcpkgs/python3-cheetah3/template
@@ -1,22 +1,27 @@
 # Template file for 'python3-cheetah3'
 pkgname=python3-cheetah3
-version=3.2.1
+version=3.2.2
 revision=1
 wrksrc="Cheetah3-${version}"
 build_style=python3-module
 pycompile_module="Cheetah"
 hostmakedepends="python3-setuptools"
 makedepends="python3-devel"
+checkdepends="tox"
 short_desc="Python-powered template engine and code generator"
 maintainer="Piotr Wójcik <chocimier@tlen.pl>"
 license="MIT"
 homepage="http://www.cheetahtemplate.org/"
 distfiles="${PYPI_SITE}/C/Cheetah3/Cheetah3-${version}.tar.gz"
-checksum=685f961d2761e140bfea67156a013313acda66a229edc6c8708b71d9080ece9c
+checksum=d86c08848082f0e3426ff9c2712052955bd9b969613b12d6a87be75d75e06c53
 alternatives="python-cheetah:cheetah:/usr/bin/cheetah3
  python-cheetah:cheetah-analyze:/usr/bin/cheetah-analyze3
  python-cheetah:cheetah-compile:/usr/bin/cheetah-compile3"
 
+do_check() {
+	tox -e py${py3_ver/./}
+}
+
 post_install() {
 	mv ${DESTDIR}/usr/bin/cheetah{,3}
 	mv ${DESTDIR}/usr/bin/cheetah-analyze{,3}
